Loading...
Searching...
No Matches
mapset_nme.c File Reference

GIS library - Mapset name, search path routines. More...

`#include <grass/config.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <string.h>`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include "gis_local_proto.h"`
Include dependency graph for mapset_nme.c:

Go to the source code of this file.

## Functions

const char * | G_get_mapset_name (int n)
| Get name of the n'th mapset from the current mapset search path.
void | G__get_list_of_mapsets (void)
| Fill list of mapsets from search path (internal use only).
void | G_create_alt_search_path (void)
| Define alternative mapset search path.
void | G_switch_search_path (void)
| Switch mapset search path.
void | G_reset_mapsets (void)
| Reset number of mapsets.
char ** | G_get_available_mapsets (void)
| Get list of available mapsets for current location.
void | G_add_mapset_to_search_path (const char *mapset)
| Add mapset to the list of mapsets in search path.
int | G_is_mapset_in_search_path (const char *mapset)
| Check if given mapset is in search path.

## Detailed Description

GIS library - Mapset name, search path routines.

(C) 1999-2014 The GRASS development team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file mapset_nme.c.

## Function Documentation

## G__get_list_of_mapsets()

void G__get_list_of_mapsets | ( | void |  | ) |

Fill list of mapsets from search path (internal use only).

Definition at line 57 of file mapset_nme.c.

References G_fopen_old(), G_mapset(), G_mapset_permissions(), name, and NULL.

Referenced by G_get_mapset_name(), and G_init_all().

## G_add_mapset_to_search_path()

void G_add_mapset_to_search_path | ( | const char * | mapset | ) |

Add mapset to the list of mapsets in search path.

Mapset is add in memory only, not to the SEARCH_PATH file! List is check first if already exists.

Parameters

  mapset | mapset name to be added to the search path

Definition at line 203 of file mapset_nme.c.

References G_is_mapset_in_search_path().

## G_create_alt_search_path()

void G_create_alt_search_path | ( | void |  | ) |

Define alternative mapset search path.

Definition at line 106 of file mapset_nme.c.

## G_get_available_mapsets()

char ** G_get_available_mapsets | ( | void |  | ) |

Get list of available mapsets for current location.

List is updated by each call to this function.

Returns
  pointer to NULL terminated array of available mapsets

Definition at line 147 of file mapset_nme.c.

References G_debug(), G_free(), G_location_path(), G_stat(), G_store(), and NULL.

## G_get_mapset_name()

const char * G_get_mapset_name | ( | int | n | ) |

Get name of the n'th mapset from the current mapset search path.

The first call will initialize the list.

Parameters

  n | mapset index

Returns
  mapset name
  NULL if mapset not found

Definition at line 44 of file mapset_nme.c.

References G__get_list_of_mapsets(), and NULL.

Referenced by G_list_element().

## G_is_mapset_in_search_path()

int G_is_mapset_in_search_path | ( | const char * | mapset | ) |

Check if given mapset is in search path.

Parameters

  mapset | mapset name

Returns
  1 mapset found in search path
  0 mapset not found

Definition at line 217 of file mapset_nme.c.

Referenced by G_add_mapset_to_search_path().

## G_reset_mapsets()

void G_reset_mapsets | ( | void |  | ) |

Reset number of mapsets.

Definition at line 135 of file mapset_nme.c.

## G_switch_search_path()

void G_switch_search_path | ( | void |  | ) |

Switch mapset search path.

Definition at line 117 of file mapset_nme.c.

References count.